# Method: projects.locations.integrations.versions.unpublish

- [HTTP request](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.request_body)
- [Response body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/unpublish#try-it)

Sets the status of the ACTIVE integration to SNAPSHOT with a new tag "PREVIOUSLY_PUBLISHED" after validating it. The "HEAD" and "PUBLISH_REQUESTED" tags do not change. This RPC throws an exception if the version being snapshot is not ACTIVE. Audit fields added include action, actionBy, actionTimestamp.

### HTTP request

`POST https://integrations.googleapis.com/v1/{name=projects/*/locations/*/integrations/*/versions/*}:unpublish`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The version to deactivate. Format: projects/{project}/locations/{location}/integrations/{integration}/versions/{version} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `integrations.integrationVersions.deploy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).